libpagemaker::OutputShape Class Reference documentation

libpagemaker::OutputShape Class Reference

`#include <OutputShape.h>`

## Public Member Functions
| OutputShape (bool isClosed, int shape, double rotation, double skew, const PMDFillProperties &fillProps, const PMDStrokeProperties &strokeProps)
| OutputShape (bool isClosed, int shape, double rotation, double skew, std::string text, std::vector< PMDCharProperties > charProps, std::vector< PMDParaProperties > paraProps)
| OutputShape (bool isClosed, int shape, double rotation, double skew, librevenge::RVNGBinaryData bitmap)
unsigned | numPoints () const
InchPoint | getPoint (unsigned i) const
bool | getIsClosed () const
uint8_t | shapeType () const
const PMDFillProperties & | getFillProperties () const
const PMDStrokeProperties & | getStrokeProperties () const
double | getRotation () const
double | getSkew () const
std::string | getText () const
std::vector< PMDCharProperties > | getCharProperties () const
std::vector< PMDParaProperties > | getParaProperties () const
librevenge::RVNGBinaryData | getBitmap () const
std::pair< InchPoint, InchPoint > | getBoundingBox () const
void | setBoundingBox (InchPoint bboxTopLeft, InchPoint bboxBotRight)
void | addPoint (InchPoint point)
void | setDimensions (double width, double height)
double | getWidth () const
double | getHeight () const

## Private Attributes
bool | m_isClosed
uint8_t | m_shapeType
std::vector< InchPoint > | m_points
double | m_rotation
double | m_skew
double | m_bboxLeft
double | m_bboxTop
double | m_bboxRight
double | m_bboxBot
PMDFillProperties | m_fillProps
PMDStrokeProperties | m_strokeProps
std::string | m_text
std::vector< PMDCharProperties > | m_charProps
std::vector< PMDParaProperties > | m_paraProps
librevenge::RVNGBinaryData | m_bitmap
double | m_width
double | m_height

## Constructor & Destructor Documentation

## ◆ OutputShape() [1/3]

libpagemaker::OutputShape::OutputShape | ( | bool | isClosed,
|  | int | shape,
|  | double | rotation,
|  | double | skew,
|  | const PMDFillProperties & | fillProps,
|  | const PMDStrokeProperties & | strokeProps )
| inline

## ◆ OutputShape() [2/3]

libpagemaker::OutputShape::OutputShape | ( | bool | isClosed,
|  | int | shape,
|  | double | rotation,
|  | double | skew,
|  | std::string | text,
|  | std::vector< PMDCharProperties > | charProps,
|  | std::vector< PMDParaProperties > | paraProps )
| inline

## ◆ OutputShape() [3/3]

libpagemaker::OutputShape::OutputShape | ( | bool | isClosed,
|  | int | shape,
|  | double | rotation,
|  | double | skew,
|  | librevenge::RVNGBinaryData | bitmap )
| inline

## Member Function Documentation

## ◆ addPoint()

void libpagemaker::OutputShape::addPoint | ( | InchPoint | point | ) |
| inline

## ◆ getBitmap()

librevenge::RVNGBinaryData libpagemaker::OutputShape::getBitmap | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getBoundingBox()

std::pair< InchPoint, InchPoint > libpagemaker::OutputShape::getBoundingBox | ( |  | ) | const
| inline

## ◆ getCharProperties()

std::vector< PMDCharProperties > libpagemaker::OutputShape::getCharProperties | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getFillProperties()

const PMDFillProperties & libpagemaker::OutputShape::getFillProperties | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getHeight()

double libpagemaker::OutputShape::getHeight | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getIsClosed()

bool libpagemaker::OutputShape::getIsClosed | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getParaProperties()

std::vector< PMDParaProperties > libpagemaker::OutputShape::getParaProperties | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getPoint()

InchPoint libpagemaker::OutputShape::getPoint | ( | unsigned | i | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getRotation()

double libpagemaker::OutputShape::getRotation | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getSkew()

double libpagemaker::OutputShape::getSkew | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getStrokeProperties()

const PMDStrokeProperties & libpagemaker::OutputShape::getStrokeProperties | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getText()

std::string libpagemaker::OutputShape::getText | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ getWidth()

double libpagemaker::OutputShape::getWidth | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ numPoints()

unsigned libpagemaker::OutputShape::numPoints | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ setBoundingBox()

void libpagemaker::OutputShape::setBoundingBox | ( | InchPoint | bboxTopLeft,
|  | InchPoint | bboxBotRight )
| inline

## ◆ setDimensions()

void libpagemaker::OutputShape::setDimensions | ( | double | width,
|  | double | height )
| inline

## ◆ shapeType()

uint8_t libpagemaker::OutputShape::shapeType | ( |  | ) | const
| inline

Referenced by libpagemaker::PMDCollector::paintShape().

## Member Data Documentation

## ◆ m_bboxBot

double libpagemaker::OutputShape::m_bboxBot
| private

Referenced by getBoundingBox(), OutputShape(), OutputShape(), OutputShape(), and setBoundingBox().

## ◆ m_bboxLeft

double libpagemaker::OutputShape::m_bboxLeft
| private

Referenced by getBoundingBox(), OutputShape(), OutputShape(), OutputShape(), and setBoundingBox().

## ◆ m_bboxRight

double libpagemaker::OutputShape::m_bboxRight
| private

Referenced by getBoundingBox(), OutputShape(), OutputShape(), OutputShape(), and setBoundingBox().

## ◆ m_bboxTop

double libpagemaker::OutputShape::m_bboxTop
| private

Referenced by getBoundingBox(), OutputShape(), OutputShape(), OutputShape(), and setBoundingBox().

## ◆ m_bitmap

librevenge::RVNGBinaryData libpagemaker::OutputShape::m_bitmap
| private

Referenced by getBitmap(), getBoundingBox(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_charProps

std::vector<PMDCharProperties> libpagemaker::OutputShape::m_charProps
| private

Referenced by getCharProperties(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_fillProps

PMDFillProperties libpagemaker::OutputShape::m_fillProps
| private

Referenced by getFillProperties(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_height

double libpagemaker::OutputShape::m_height
| private

Referenced by getHeight(), OutputShape(), OutputShape(), OutputShape(), and setDimensions().

## ◆ m_isClosed

bool libpagemaker::OutputShape::m_isClosed
| private

Referenced by getIsClosed(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_paraProps

std::vector<PMDParaProperties> libpagemaker::OutputShape::m_paraProps
| private

Referenced by getParaProperties(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_points

std::vector<InchPoint> libpagemaker::OutputShape::m_points
| private

Referenced by addPoint(), getBoundingBox(), getPoint(), numPoints(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_rotation

double libpagemaker::OutputShape::m_rotation
| private

Referenced by getRotation(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_shapeType

uint8_t libpagemaker::OutputShape::m_shapeType
| private

Referenced by OutputShape(), OutputShape(), OutputShape(), and shapeType().

## ◆ m_skew

double libpagemaker::OutputShape::m_skew
| private

Referenced by getSkew(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_strokeProps

PMDStrokeProperties libpagemaker::OutputShape::m_strokeProps
| private

Referenced by getStrokeProperties(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_text

std::string libpagemaker::OutputShape::m_text
| private

Referenced by getText(), OutputShape(), OutputShape(), and OutputShape().

## ◆ m_width

double libpagemaker::OutputShape::m_width
| private

Referenced by getWidth(), OutputShape(), OutputShape(), OutputShape(), and setDimensions().

The documentation for this class was generated from the following file:

- OutputShape.h